import {
  CAMPAIGN_DETAIL_FIELDS
} from "./chunk-WQZ4ONQV.js";
import {
  useCampaign
} from "./chunk-MR6REQKT.js";
import "./chunk-RHKRREUU.js";
import "./chunk-ZA2KFUFR.js";
import "./chunk-DTGEFKK4.js";
import "./chunk-NBMM2TZK.js";

// src/pages/campaigns/[id]/breadcrumb.tsx
import { jsx } from "react/jsx-runtime";
var Breadcrumb = (props) => {
  const { id } = props.params || {};
  const { campaign } = useCampaign(
    id,
    {
      fields: CAMPAIGN_DETAIL_FIELDS
    },
    {
      initialData: props.data,
      enabled: Boolean(id)
    }
  );
  if (!campaign) {
    return null;
  }
  return /* @__PURE__ */ jsx("span", { children: campaign.name });
};
export {
  Breadcrumb
};
